@import "@/styles/variables";

.filter-dropdown {
    @include caption-1m;
    @include shadow-dropdown;

    height: 48px;
    width: 90%;
    top: 1rem;
    background-color: $white;
    position: relative;
    z-index: 100;
    border-radius: 8px;
    transition: border-radius 0.3s;
    left: 1rem;

    @include tablet {
        width: 332px;
        top: 36px;
        left: 64px;
    }

    &__open {
        border-radius: 8px 8px 0 0;
    }

    &__container {
        display: flex;
        color: $gray-black;
        cursor: pointer;
        justify-content: space-between;
        padding: 1rem;
        height: 100%;

        &-title {
            display: flex;
            gap: 5px;
            cursor: pointer;
            justify-content: flex-start;
        }

        &-counter {
            display: flex;
            width: 16px;
            height: 16px;
            background-color: $blue-500;
            border-radius: 100px;
            justify-content: center;

            span {
                font-size: 12px;
                color: $white;
            }
        }
    }

    &__reset-open {
        display: flex;
        gap: 18px;
    }

    &__toggle-button {
        border: none;
        background-color: $white;
        max-height: 10px;
        cursor: pointer;
    }

    &__menu {
        display: flex;
        background-color: $white;
        max-height: calc(95vh - 200px);
        min-width: 100%;
        flex-direction: column;
        border-radius: 0 0 8px 8px;
        overflow-y: scroll;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    button {
        justify-content: space-between !important;
    }

    .separator {
        border-top: 2px solid $gray-200;
        width: 100%;
    }
}
